Get Community Post Details
curl --request GET \
--url https://schoolmaker.co/api/v1/community/posts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://schoolmaker.co/api/v1/community/posts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://schoolmaker.co/api/v1/community/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "22222222-2222-4222-8222-222222222222",
"title": "Welcome",
"category_id": "33333333-3333-4333-8333-333333333333",
"author": {
"id": "11111111-1111-4111-8111-111111111111",
"type": "User",
"name": "Jamie Example",
"email": "jamie@example.com",
"first_name": "Jamie",
"last_name": "Example",
"profile_picture_url": null,
"last_seen_at": null,
"created_at": "2026-10-02T00:00:00Z",
"updated_at": "2026-10-02T00:00:00Z"
},
"is_closed": false,
"selected_solution_comment_id": null,
"comment_count": 1,
"last_activity_at": "2026-10-02T00:10:00Z",
"body": "<p><strong>Hello everyone</strong></p>",
"url": "/community/22222222-2222-4222-8222-222222222222"
}{
"error": "Access denied"
}{
"error": "You do not have permission to perform this action"
}{
"error": "Record not found"
}{
"error": "Invalid arguments"
}Community
Get Community Post Details
Retrieves details from a specific community post.
GET
/
community
/
posts
/
{id}
Get Community Post Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Post ID.
Required string length:
1 - 255Response
Successful response.
Required string length:
1 - 255Required string length:
1 - 255Show child attributes
Show child attributes
Number of comments and replies, excluding the post body.
Rendered HTML.
Relative path on the school website.
Was this page helpful?